Route
Elementary

## Macros

#define | ELM_ROUTE_CLASS elm_route_class_get()
| Elementary route class.

## Functions

Evas_Object * | elm_route_add (Evas_Object *parent)
| Add a new route to the parent.
EOAPI void | elm_obj_route_emap_set (Eo *obj, void *emap)
| Set map widget for this route.
EOAPI void | elm_obj_route_longitude_min_max_get (const Eo *obj, double *min, double *max)
| Get the minimum and maximum values along the longitude.
EOAPI void | elm_obj_route_latitude_min_max_get (const Eo *obj, double *min, double *max)
| Get the minimum and maximum values along the latitude.

## Detailed Description

For displaying a route on the map widget.

## Function Documentation

## elm_route_add()

Evas_Object * elm_route_add | ( | Evas_Object * | parent | ) |

Add a new route to the parent.

Add a new route object to the parent's canvas.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## elm_obj_route_emap_set()

EOAPI void elm_obj_route_emap_set | ( | Eo * | obj,
|  | void * | emap )

Set map widget for this route.

Parameters

  [in] | obj | The object.
  [in] | emap | Elementary map widget

## elm_obj_route_longitude_min_max_get()

EOAPI void elm_obj_route_longitude_min_max_get | ( | const Eo * | obj,
|  | double * | min,
|  | double * | max )

Get the minimum and maximum values along the longitude.

Note
  If only one value is needed, the other pointer can be passed as null.

Parameters

  [in] | obj | The object.
  [out] | min | Pointer to store the minimum value.
  [out] | max | Pointer to store the maximum value.

## elm_obj_route_latitude_min_max_get()

EOAPI void elm_obj_route_latitude_min_max_get | ( | const Eo * | obj,
|  | double * | min,
|  | double * | max )

Get the minimum and maximum values along the latitude.

Note
  If only one value is needed, the other pointer can be passed as null.

Parameters

  [in] | obj | The object.
  [out] | min | Pointer to store the minimum value.
  [out] | max | Pointer to store the maximum value.